$(document).ready(function(){
   
   
    $("#fechaInicial").datepicker({
        buttonImage: "themes/default/images/Calendar.gif",
        buttonImageOnly: true,
        showOn: 'button',
        dateFormat: 'yy-mm-dd',
        changeYear: true,
        changeMonth: true,
        maxDate: '0D'
        
    });

    $("#fechaFinal").datepicker({
        buttonImage: "themes/default/images/Calendar.gif",
        buttonImageOnly: true,
        showOn: 'button',
        dateFormat: 'yy-mm-dd',
        changeYear: true,
        changeMonth: true,
        maxDate: '0D'
        });
  fnInsertarTabla();
  fnBuscaLlamadasCliente("","","","","");

    
});

function cargartabla()
{
        idTienda = $("#dataListTiendas").val();
        tienda=idTienda.split("/");
        mesCumple = $("#dataListMes").val();
       /*informacion = $("#dataListTipoInformacion").val();
        Contacto = $("#dataListTipoContacto").val();
        frecuncia=$("#selecionarFrecuencia").val();*/
        fecha1 = $("#fechaInicial").val();
        fecha2 = $("#fechaFinal").val();
        fnBuscaLlamadasCliente(tienda[0],tienda[1],mesCumple,fecha1,fecha2);

}

/*
 * Inserta el contenido inicial de la tabla
 */
function fnInsertarTabla(){
  var str = "<table width=100% class='list view'>";
    str += "<tr class='oddListRowS1'>";
    str += "    <th>Nombre</th>";
    str += "    <th>Tienda</th>";

    str += "</tr>";
    /*var t_1 = 0;
    var t_2 = 0;
    var t_3 = 0;*/
    
    str += "<tr class='oddListRowS1'>";
    str += "    <td>0</td>";
    str += "    <td>0</td>";
    str += "</tr>";

    
    str += "</table>";
    $('#contenedorGrilla').html(str);
}//Fin insertar tabla

/*Mostrsr grilla */



function fnBuscaLlamadasCliente(idTienda,nombreTienda,mesCumple,fecha1,fecha2){

    
    $.ajax({
        url: "index.php?module=cont__centro_llamadas",
        type:'POST',
        data: {action:'buscarContactos',tienda: idTienda,cumple:mesCumple,
              fecha_1:fecha1,fecha_2:fecha2
              
 
         },
          dataType:'json',
      
        beforeSend:function(){
            $('#contenedorGrilla').html("");
            //$('#divExport_3').hide();
            $('#divPreloadImage').html("<img src='themes/default/images/bar_loader.gif'/><br/>Cargando informaci&oacute;n...");
        },
        success: function(msg){
            $('#divPreloadImage').html("");
             console.log(msg);
            //$('#divExport_3').show();
            //$('#divPreloadImage').html("");
           str="";
            str += "<table width=100% class='list view'>";
                str += "<tr class='oddListRowS1'>";
                str += "    <th>Tienda</th>";
                str += "    <th>cantidad usuarios</th>";
                str += "</tr>";
           
                
                for(i=0;i<msg.rows.length;i++){
                str += "<tr class='oddListRowS1'>";
                str += "    <td>"+msg.rows[i]['nombre']+"</td>";
                str += "    <td>"+ msg.rows[i]['cantidad'] +"</td>";
                str += "</tr>";
               }
              
                
            
                
                
                str += "</table>";
            $('#contenedorGrilla').html(str);
            
            
        }
    });
}

